public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Reinis Danne" <rei4dan@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/atlas/
Date: Sun,  2 Feb 2014 17:01:10 +0000 (UTC)	[thread overview]
Message-ID: <1391360270.cc6ae47c8c9822d529db56d56caafb408652c357.rei4dan@gentoo> (raw)

commit:     cc6ae47c8c9822d529db56d56caafb408652c357
Author:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
AuthorDate: Sun Feb  2 16:57:50 2014 +0000
Commit:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
CommitDate: Sun Feb  2 16:57:50 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=cc6ae47c

sci-libs/atlas: Fix CPU governor check

---
 sci-libs/atlas/ChangeLog              | 6 +++++-
 sci-libs/atlas/atlas-3.10.1-r1.ebuild | 2 +-
 sci-libs/atlas/atlas-3.10.1-r2.ebuild | 2 +-
 3 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/sci-libs/atlas/ChangeLog b/sci-libs/atlas/ChangeLog
index 8a72729..d0a2cca 100644
--- a/sci-libs/atlas/ChangeLog
+++ b/sci-libs/atlas/ChangeLog
@@ -1,7 +1,11 @@
 # ChangeLog for sci-libs/atlas
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  02 Feb 2014; Reinis Danne <rei4dan@gmail.com> atlas-3.10.1-r1.ebuild,
+  atlas-3.10.1-r2.ebuild:
+  Fix cpu governor check.
+
   14 Oct 2013; Justin Lecher <jlec@gentoo.org> atlas-3.10.1-r1.ebuild:
   Fix type _cpufreq -> cpufreq
 

diff --git a/sci-libs/atlas/atlas-3.10.1-r1.ebuild b/sci-libs/atlas/atlas-3.10.1-r1.ebuild
index c4f06a3..ebf5c75 100644
--- a/sci-libs/atlas/atlas-3.10.1-r1.ebuild
+++ b/sci-libs/atlas/atlas-3.10.1-r1.ebuild
@@ -28,7 +28,7 @@ pkg_setup() {
 	local _cpufreq
 	for _cpufreq in /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor; do
 		if [ -f ${_cpufreq} ]; then
-			if grep -q performance ${_cpufreq}; then
+			if ! grep -q performance ${_cpufreq}; then
 				echo 2> /dev/null performance > ${_cpufreq} || \
 					die "${PN} needs all cpu set to performance"
 			fi

diff --git a/sci-libs/atlas/atlas-3.10.1-r2.ebuild b/sci-libs/atlas/atlas-3.10.1-r2.ebuild
index 373f7ad..d2dea89 100644
--- a/sci-libs/atlas/atlas-3.10.1-r2.ebuild
+++ b/sci-libs/atlas/atlas-3.10.1-r2.ebuild
@@ -28,7 +28,7 @@ pkg_setup() {
 	local _cpufreq
 	for _cpufreq in /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor; do
 		if [ -f ${_cpufreq} ]; then
-			if grep -q performance ${_cpufreq}; then
+			if ! grep -q performance ${_cpufreq}; then
 				echo 2> /dev/null performance > ${_cpufreq} || \
 					die "${PN} needs all cpu set to performance"
 			fi


             reply	other threads:[~2014-02-02 17:01 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-02-02 17:01 Reinis Danne [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-06-26 20:35 [gentoo-commits] proj/sci:master commit in: sci-libs/atlas/ Justin Lecher
2017-02-03 10:25 Marius Brehler
2016-12-02  9:06 Marius Brehler
2016-09-07 13:15 Marius Brehler
2016-01-03 10:33 Alexey Shvetsov
2015-12-14 11:39 Justin Lecher
2015-12-08 15:25 Justin Lecher
2015-12-05 13:32 Justin Lecher
2014-01-28 19:01 Sebastien Fabbro
2013-10-14  9:38 Justin Lecher
2013-10-13 14:39 Justin Lecher
2013-05-23  5:13 Sebastien Fabbro
2013-02-25  1:20 Sebastien Fabbro
2013-02-20 19:09 Sebastien Fabbro
2013-01-28 22:51 Sebastien Fabbro
2012-07-10 21:28 Sebastien Fabbro
2012-06-26 22:27 Sebastien Fabbro
2012-06-18 22:01 Sebastien Fabbro
2012-06-07 16:35 Sebastien Fabbro
2012-05-07 15:09 Andrea Arteaga
2012-03-25  0:32 Andrea Arteaga
2012-03-16 21:41 Sebastien Fabbro
2012-02-23 19:05 Sebastien Fabbro
2012-02-20 23:21 Sebastien Fabbro
2012-02-16  4:26 Sebastien Fabbro
2011-10-12 15:29 Andrea Arteaga
2011-09-06  9:35 Andrea Arteaga
2011-08-15 17:18 Kacper Kowalik
2011-08-06 14:00 Alexey Shvetsov
2011-08-06  2:11 Andrea Arteaga
2011-08-06  0:25 Andrea Arteaga

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1391360270.cc6ae47c8c9822d529db56d56caafb408652c357.rei4dan@gentoo \
    --to=rei4dan@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox